# CreateTaxRate

Allows you to add a new tax rate for a Xero organisation.

**Tax Rate Constraints**

In order to properly complete tax forms, certain tax rates can only be used with certain account types. This will vary depending on the rate and country. Sending a line item with a tax rate that can't be use with the line's account code will generate the error "The TaxType code 'xxx' cannot be used with account code 'xxx'."

## Properties

#### Authentication

Authentication values used to connect to the Xero server.

#### Tax rate

Tax rate to create.

## Output

#### TaxRate

The tax rate created.

## Links

[Tax Rates (PUT)](https://developer.xero.com/documentation/api/tax-rates#PUT)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/xero/content/taxrate/createtaxrate.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
